Redmine - Defect #9489

Label all input field and control tags
2011-10-29 01:31 - Toshi MARUYAMA

Status: Closed Start date: 2011-10-29
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 1.3.0

Resolution: Fixed Affected version:

Description

https://www.chiliproject.org/issues/667

Related issues:
Related to Redmine - Defect #9492: Wrong english label

Closed

2011-10-29

Associated revisions

Revision 7675 - 2011-10-29 03:12 - Toshi MARUYAMA
[#9489] added style to hide content from sighted users

Contributed by Romano Licker.

Revision 7676 - 2011-10-29 03:13 - Toshi MARUYAMA
[#9489] added invisible project scope label

Contributed by Romano Licker.

Revision 7677 - 2011-10-29 03:13 - Toshi MARUYAMA
[#9489] added invisible search label

Contributed by Romano Licker.

Revision 7678 - 2011-10-29 03:14 - Toshi MARUYAMA
[#9489] added invisible labels for queries

Contributed by Romano Licker.

Revision 7679 - 2011-10-29 03:14 - Toshi MARUYAMA
[#9489] linked labels to their elements

Contributed by Romano Licker.

Revision 7680 - 2011-10-29 03:15 - Toshi MARUYAMA
[#9489] link label to element

Contributed by Romano Licker.

Revision 7681 - 2011-10-29 03:16 - Toshi MARUYAMA
[#9489] link label to element

Contributed by Romano Licker.

Revision 7682 - 2011-10-29 03:16 - Toshi MARUYAMA

[#9489] set id for message_subject and linked it to label, added invisible label

Contributed by Romano Licker.

Revision 7683 - 2011-10-29 03:17 - Toshi MARUYAMA
https://www.chiliproject.org/issues/667

[#9489] set unique id for each checkbox and linked it
added "no-css" class to overwrite the current label style
Contributed by Romano Licker.

Revision 7684 - 2011-10-29 03:18 - Toshi MARUYAMA
[#9489] added invisible labels for reassign select-tag on destroy views
Contributed by Romano Licker.

Revision 7685 - 2011-10-29 03:18 - Toshi MARUYAMA
[#9489] linked labels to their elements

Contributed by Romano Licker.

Revision 7686 - 2011-10-29 03:19 - Toshi MARUYAMA
[#9489] linked label to its element

Contributed by Romano Licker.

Revision 7687 - 2011-10-29 03:20 - Toshi MARUYAMA
[#9489] link label to element

Contributed by Romano Licker.

Revision 7688 - 2011-10-29 03:20 - Toshi MARUYAMA
[#9489] linked labels to their element

Contributed by Romano Licker.

Revision 7689 - 2011-10-29 03:20 - Toshi MARUYAMA
[#9489] set ids, created invisible labels and linked them
Contributed by Romano Licker.

Revision 7690 - 2011-10-29 03:21 - Toshi MARUYAMA
[#9489] linked label to its element

Contributed by Romano Licker.

Revision 7691 - 2011-10-29 03:22 - Toshi MARUYAMA
[#9489] linked labels to their elements

Contributed by Romano Licker.

Revision 7692 - 2011-10-29 03:22 - Toshi MARUYAMA
[#9489] added invisible label for mail notification, linked label where possible
Contributed by Romano Licker.

Revision 7693 - 2011-10-29 03:22 - Toshi MARUYAMA
[#9489] added invisible label

Contributed by Romano Licker.

Revision 7694 - 2011-10-29 03:23 - Toshi MARUYAMA
[#9489] added invisible label

Contributed by Romano Licker.

Revision 7695 - 2011-10-29 03:23 - Toshi MARUYAMA

[#9489] made labels visible as this is an accessibility issue even for sighted users
Contributed by Romano Licker.

Revision 7696 - 2011-10-29 03:24 - Toshi MARUYAMA
[#9489] corrected labels and translations for reassign forms
Contributed by Romano Licker.

Revision 7697 - 2011-10-29 03:24 - Toshi MARUYAMA
[#9489] update i18n yamls

Revision 7701 - 2011-10-30 02:27 - Toshi MARUYAMA
[#9489] use class instead of redundant id for label "no-css"
Contributed by Holger Just.

Revision 7705 - 2011-10-30 05:53 - Toshi MARUYAMA

fix wrong english "description_selected_columns" (#9492, #9489)
Contributed by lvan Cenov.

Revision 7706 - 2011-10-31 10:55 - Toshi MARUYAMA

fix typos (#9499, #9489)

Contributed by Igor Zubkov.

History

#1 - 2011-10-29 11:44 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Fixed

Committed from r7675 to r7697.

#2 - 2011-10-29 14:02 - Etienne Massip

- Status changed from Closed to Reopened

Reopened because of #9492.

#3 - 2011-10-31 11:20 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Fixed in trunk r7705 and r7706.
https://www.redmine.org/projects/redmine/repository/svn/revisions/7675
https://www.redmine.org/projects/redmine/repository/svn/revisions/7697
